/*
 * Copyright 2012-2019 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package example;

import org.junit.Test;

import org.springframework.cloud.function.adapter.azure.AzureSpringBootRequestHandler;

import static org.assertj.core.api.Assertions.assertThat;

/**
 * @author Dave Syer
 *
 */
public class MapTests {

	@Test
	public void test() {
		Bar result = new Config().uppercase().apply(new Foo("foo"));
		assertThat(result.getValue()).isEqualTo("FOO");
	}

	@Test
	public void start() throws Exception {
		AzureSpringBootRequestHandler<Foo, Bar> handler = new AzureSpringBootRequestHandler<>(
			Config.class);
		Bar result = handler.handleRequest(new Foo("foo"), null);
		handler.close();
		assertThat(result.getValue()).isEqualTo("FOO");
	}

}
